=== debian/changelog ===
sqlitebrowser (3.12.1-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Drop d/sqlitebrowser.install
  * Remove useless -DQSCINTILLA_INCLUDE_DIR cmake parameter
  * Properly install the SVG logo
  * Remove d/dirs, no more useful.

 -- Arto Jantunen <viiru@debian.org>  Thu, 19 Nov 2020 12:32:05 +0200

sqlitebrowser (3.12.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Arto Jantunen ]
  * New upstream version (Closes: #971955)
  * Refresh patch
  * Note rename of the logo SVG
  * Bump Standards-Version, no changes
  * Bump dh-compat to 13
  * Set Rules-Requires-Root to no

 -- Arto Jantunen <viiru@debian.org>  Wed, 18 Nov 2020 09:29:16 +0200
