=== debian/changelog ===
sqlitebrowser (3.12.2-1) unstable; urgency=medium

  * New upstream version (Closes: #1014139)
  * Bump Standards-Version to 4.6.1, no changes

 -- Arto Jantunen <viiru@debian.org>  Mon, 15 Aug 2022 13:49:32 +0300
