=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Arto Jantunen <viiru@debian.org>
 Build-Depends: debhelper-compat (= 13), qtbase5-dev, libsqlite3-dev, cmake, libantlr-dev, qttools5-dev, qttools5-dev-tools, libqt5scintilla2-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://sqlitebrowser.org/
 Vcs-Browser: https://salsa.debian.org/sqlitebrowser-team/sqlitebrowser
