=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
#http://sf.net/sqlitebrowser/sqlitebrowser-(.*)\.tar\.gz
# Current upstream versioning of tarballs is not sane, so I'll leave this commented out.
