=== libs/json/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12.2)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(JSON11_HDR
    json.hpp
)
