=== libs/qhexedit/CMakeLists.txt ===
--- 
+++ 
@@ -17,10 +17,12 @@
 )
 
 set(QHEXEDIT_MOC_HDR
-	src/qhexedit.h
-	src/commands.h
+    src/qhexedit.h
+    src/commands.h
 )
 
-add_library(qhexedit ${QHEXEDIT_SRC} ${QHEXEDIT_HDR} ${QHEXEDIT_MOC})
+add_library(qhexedit ${QHEXEDIT_SRC} ${QHEXEDIT_HDR} ${QHEXEDIT_MOC_HDR} ${QHEXEDIT_MOC})
+target_include_directories(qhexedit INTERFACE src)
+target_link_libraries(qhexedit Qt5::Widgets)
 
-target_link_libraries(qhexedit Qt5::Widgets)
+add_library(QHexEdit::QHexEdit ALIAS qhexedit)
