=== debian/changelog ===
sqlitebrowser (3.13.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1079266).
  * Drop patches, applied upstream.
  * Bump Standards-Version to 4.7.0, no changes.
  * Update copyright file.
  * Run wrap-and-sort on debian/control.
  * Add build-dep on libqcustomplot-dev.
  * Enable support for sqlcipher (Closes: #963679).

 -- Arto Jantunen <viiru@debian.org>  Thu, 29 Aug 2024 11:46:36 +0300

sqlitebrowser (3.12.2-3) unstable; urgency=medium

  * Remove generated translations in the clean target (Closes: #1045156)

 -- Arto Jantunen <viiru@debian.org>  Thu, 17 Aug 2023 12:13:30 +0300

sqlitebrowser (3.12.2-2) unstable; urgency=medium

  * Update debian/watch to match current Github workflow
  * Bump Standards-Version to 4.6.2, no changes

 -- Arto Jantunen <viiru@debian.org>  Sat, 29 Jul 2023 13:46:05 +0300
