=== debian/control ===
--- 
+++ 
@@ -2,8 +2,17 @@
 Section: database
 Priority: optional
 Maintainer: Arto Jantunen <viiru@debian.org>
-Build-Depends: debhelper-compat (= 13), qtbase5-dev, libsqlite3-dev, cmake, libantlr-dev, qttools5-dev, qttools5-dev-tools, libqt5scintilla2-dev
-Standards-Version: 4.6.1
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               libantlr-dev,
+               libqcustomplot-dev,
+               libqt5scintilla2-dev,
+               libsqlcipher-dev,
+               libsqlite3-dev,
+               qtbase5-dev,
+               qttools5-dev,
+               qttools5-dev-tools,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://sqlitebrowser.org/
 Vcs-Browser: https://salsa.debian.org/sqlitebrowser-team/sqlitebrowser
@@ -11,7 +20,8 @@
 
 Package: sqlitebrowser
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: GUI editor for SQLite databases
  SQLite Database Browser is a visual tool used to create, design and edit
  database files compatible with SQLite. Its interface is based on QT,
